Bug 986876 - RFE: Disallow core dump upload entirely
RFE: Disallow core dump upload entirely
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
21
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Matej Habrnal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1240516
  Show dependency treegraph
 
Reported: 2013-07-22 06:13 EDT by David Woodhouse
Modified: 2015-07-07 03:25 EDT (History)
8 users (show)

See Also:
Fixed In Version: gnome-abrt-1.0.0-3.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1240516 (view as bug list)
Environment:
Last Closed: 2015-06-30 16:20:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2013-07-22 06:13:01 EDT
Our corporate IT department would prefer us to disable abrt entirely on our systems, to prevent company sensitive information from being leaked to the outside world.

This is suboptimal.

I would prefer to be able to make them happy by disabling the use of the external retrace server and also ensuring that no core dump will be attached to bugzilla.

I'd also like a system-wide setting to ensure that the user cannot enable automatic reporting, and that every report has to be manually reviewed.

I looked in the documentation and abrt.conf but couldn't see how to do these things.
Comment 1 David Woodhouse 2013-07-24 16:02:00 EDT
I can't even check the "don't ask me again" box when it asks if it's OK to use the retrace server, and then click 'No'. If I check the box, the only button that's still usable is the 'Yes' button!
Comment 2 Jakub Filak 2013-07-25 04:25:01 EDT
Hello!

The external retrace server can be easily removed from the reporting process by modification of ABRT configuration files but it is not possible to prevent users from accessing coredumps stored in their problem directories.

1.) replace analyze_CCpp event by analyze_LocalGDB in report-gui and report-cli events definition:
$ sed 's/-e analyze_CCpp/-e analyze_LocalGDB/' -i /etc/libreport/events.d/ccpp_event.conf

2.) replace analyze_CCPP event by analyze_LocalDGB in Fedora workflow:
$ sed 's/analyze_CCpp/analyze_LocalGDB/' -i /etc/libreport/workflows/workflow_Fedora.xml



In the default configuration coredumps can be attached to bugzilla but only on user request. The configuration can be tweaked to prevent users from attaching coredumps to bugzilla during the standard reporting process.

1.) remove coredump from the list of attachable items
$ sed 's/<exclude-items-by-default>coredump,/<exclude-items-by-default>/' -i /etc/libreport/events/report_Bugzilla.xml

2.) add coredump to the list of forbidden items
$ sed 's/<exclude-items-always\/>/<exclude-items-always>coredump<\/exclude-items-always>/' -i /etc/libreport/events/report_Bugzilla.xml



There is no possibility to prevent users from enabling the automatic bug reporting. In the default configuration the automatic bug reporting sends a micro-report to ABRT server. The micro-report is a simplified backtrace without any private and security sensitive data. Therefore, no one has ever expected that someone will consider it problematic.

You can set AutoreportingEvent option in /etc/abrt/abrt.conf to non-existing event (or better to a dummy event which does nothing) to make the automatic bug reporting functionless but the user can override this configuration in his configuration file.



The 'No' response must not be saved because it would completely disable the bug reporting.
Comment 3 David Woodhouse 2013-07-25 04:46:38 EDT
That's really useful information; thank you. I'm sure I'll be able to persuade the IT Security folks to allow me to leave abrt enabled, with this.

It's OK for users to access coredumps on their own machines; we just didn't want them getting *uploaded* to non-$COMPANY machines.

I'm still a little confused about why the 'no' response about using the *retrace* server can't be saved. If I press 'no', it downloads debuginfo packages and generates the backtrace locally. Couldn't it just do that every time?

But that isn't important since you seem to have told me how to remove the external retrace server, so the question doesn't even get *asked*. That's the equivalent of saving the 'no' answer, unless I'm misunderstanding something.
Comment 4 Jakub Filak 2013-07-25 05:23:33 EDT
Do'h, I though that we've fixed this flaw but we've decided to not spend time fixing this problem (~1 day of coding, X new bugs, complex code) because it's possible to remove the retrace server analysis from the reporting process in the configuration. This is a relic of the old implementation in which the 'No' response stopped reporting of the crash because there was no fallback to the local analysis.
Comment 5 Fedora End Of Life 2015-01-09 14:02:33 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-05-29 05:12:34 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora Update System 2015-06-18 10:36:21 EDT
gnome-abrt-1.0.0-2.fc21, abrt-2.3.0-6.fc21, libreport-2.3.0-8.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gnome-abrt-1.0.0-2.fc21,abrt-2.3.0-6.fc21,libreport-2.3.0-8.fc21
Comment 9 Fedora Update System 2015-06-20 20:33:00 EDT
Package gnome-abrt-1.0.0-2.fc21, abrt-2.3.0-6.fc21, libreport-2.3.0-8.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-abrt-1.0.0-2.fc21 abrt-2.3.0-6.fc21 libreport-2.3.0-8.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10193/gnome-abrt-1.0.0-2.fc21,abrt-2.3.0-6.fc21,libreport-2.3.0-8.fc21
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2015-06-23 05:08:16 EDT
Package gnome-abrt-1.0.0-3.fc21, abrt-2.3.0-7.fc21, libreport-2.3.0-8.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-abrt-1.0.0-3.fc21 abrt-2.3.0-7.fc21 libreport-2.3.0-8.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10193/gnome-abrt-1.0.0-3.fc21,abrt-2.3.0-7.fc21,libreport-2.3.0-8.fc21
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2015-06-30 16:20:09 EDT
gnome-abrt-1.0.0-3.fc21, abrt-2.3.0-7.fc21, libreport-2.3.0-8.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Christian Stadelmann 2015-07-06 16:19:56 EDT
This bug is still not fixed in Fedora 22 with gnome-abrt 1.2.0-2, abrt-2.6.0-1 and libreport-2.6.0-1

Note You need to log in before you can comment on or make changes to this bug.